scala.tools.util.PathResolver

# Calculated

#### object Calculated

Calculated values based on any given command line options, falling back on those in Defaults.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Calculated
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def basis: collection.immutable.List[Traversable[ClassPath[AbstractFile]]]

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### lazy val containers: collection.immutable.List[ClassPath[AbstractFile]]

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def javaBootClassPath: String

17. #### def javaExtDirs: String

18. #### def javaUserClassPath: String

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def scalaBootClassPath: String

23. #### def scalaExtDirs: String

24. #### def scalaHome: String

25. #### def sourcePath: String

    Scaladoc doesn't need any bootstrapping, otherwise will create errors such as: [scaladoc] .

    Scaladoc doesn't need any bootstrapping, otherwise will create errors such as: [scaladoc] ../scala-trunk/src/reflect/scala/reflect/macros/Reifiers.scala:89: error: object api is not a member of package reflect [scaladoc] case class ReificationException(val pos: reflect.api.PositionApi, val msg: String) extends Throwable(msg) [scaladoc] ^ because the bootstrapping will look at the sourcepath and create package "reflect" in "<root>" and then when typing relative names, instead of picking <root>.scala.relect, typedIdentifier will pick up the <root>.reflect package created by the bootstrapping. Thus, no bootstrapping for scaladoc! TODO: we should refactor this as a separate -bootstrap option to have a clean implementation, no?

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      Calculated → AnyRef → Any

28. #### def useJavaClassPath: Boolean

29. #### def userClassPath: String

    Against my better judgment, giving in to martin here and allowing CLASSPATH to be used automatically.

    Against my better judgment, giving in to martin here and allowing CLASSPATH to be used automatically. So for the user-specified part of the classpath:

    - If -classpath or -cp is given, it is that
    - Otherwise, if CLASSPATH is set, it is that
    - If neither of those, then "." is used.

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped